Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class AssociationEngineImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.AssociationEngineImpl

All Implemented Interfaces:
  java.lang.Cloneable, IAssociationEngine, org.eclipse.hyades.logging.core.IExternalizableToXml, org.eclipse.hyades.logging.core.IInternalizableFromXml, org.eclipse.hyades.logging.core.ISerializableAsXml, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class AssociationEngineImpl
extends java.lang.Object
implements IAssociationEngine, org.eclipse.hyades.logging.core.ISerializableAsXml, java.io.Serializable, java.lang.Cloneable

This is the class that embodies the Association Engine as described in "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1"

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id` Deprecated. Fields.
`protected java.lang.String` | `name` Deprecated.
`protected java.lang.String` | `type` Deprecated.

Fields inherited from interface org.eclipse.hyades.logging.events.IAssociationEngine
`TYPE_CAUSED_BY, TYPE_CLEARED, TYPE_CONTAIN, TYPE_CORRELATED, TYPE_MULTI_PART`

Constructor Summary
`protected` | `AssociationEngineImpl()` Deprecated.

Method Summary
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different objects are equal.
`java.lang.String` | `externalizeCanonicalXmlDocString()` Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#externalizeCanonicalXmlDocString() as of 1.0.1.
`java.lang.String` | `externalizeCanonicalXmlString()` Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#externalizeCanonicalXmlString() as of 1.0.1.
`java.lang.String` | `getId()` Deprecated. Returns the id.
`java.lang.String` | `getName()` Deprecated. Returns the name.
`java.lang.String` | `getType()` Deprecated. Returns the type.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `internalizeCanonicalXmlDocString(java.lang.String value)` Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#internalizeCanonicalXmlDocString(String) as of 1.0.1.
`void` | `internalizeCanonicalXmlString(java.lang.String value)` Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#internalizeCanonicalXmlString(String) as of 1.0.1.
`void` | `setId(java.lang.String id)` Deprecated. Sets the id.
`void` | `setName(java.lang.String name)` Deprecated. Sets the name.
`void` | `setType(java.lang.String type)` Deprecated. Sets the type.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

  Deprecated.
  Fields.

### name

    protected java.lang.String name

  Deprecated.

### type

    protected java.lang.String type

  Deprecated.

Constructor Detail

### AssociationEngineImpl

    protected AssociationEngineImpl()

  Deprecated.

Method Detail

### getId

    public java.lang.String getId()

  Deprecated.
  Description copied from interface: `IAssociationEngine`
  Returns the id. Id of the application that created the association. This is a REQUIRED property.

  Specified by:
    `getId` in interface `IAssociationEngine`
  Returns:
    String
  See Also:
    `IAssociationEngine.getId()`

### getName

    public java.lang.String getName()

  Deprecated.
  Description copied from interface: `IAssociationEngine`
  Returns the name. Name of the application that created the association (e.g,. my correlation engine name). This is a REQUIRED property.

  Specified by:
    `getName` in interface `IAssociationEngine`
  Returns:
    String
  See Also:
    `IAssociationEngine.getName()`

### getType

    public java.lang.String getType()

  Deprecated.
  Description copied from interface: `IAssociationEngine`
  Returns the type. This property should contain the type of association represented by this element. Some well defined associations are: 1. Contains 2. Cleared 3. CausedBy 4. MultiPart 5. Correlated This is a REQUIRED property.

  Specified by:
    `getType` in interface `IAssociationEngine`
  Returns:
    String
  See Also:
    `IAssociationEngine.getType()`

### setId

    public void setId(java.lang.String id)

  Deprecated.
  Description copied from interface: `IAssociationEngine`
  Sets the id. Id of the application that created the association . This is a REQUIRED property.

  Specified by:
    `setId` in interface `IAssociationEngine`
  Parameters:
    `id` - The id to set
  See Also:
    `IAssociationEngine.setId(String)`

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Description copied from interface: `IAssociationEngine`
  Sets the name. Name of the application that created the association (e.g,. my correlation engine name). This is a REQUIRED property.

  Specified by:
    `setName` in interface `IAssociationEngine`
  Parameters:
    `name` - The name to set
  See Also:
    `IAssociationEngine.setName(String)`

### setType

    public void setType(java.lang.String type)

  Deprecated.
  Description copied from interface: `IAssociationEngine`
  Sets the type. This property should contain the type of association represented by this element. Some well defined associations are: 1. Contains 2. Cleared 3. CausedBy 4. MultiPart 5. Correlated This is a REQUIRED property.

  Specified by:
    `setType` in interface `IAssociationEngine`
  Parameters:
    `type` - The type to set
  See Also:
    `IAssociationEngine.setType(String)`

### externalizeCanonicalXmlString

    public java.lang.String externalizeCanonicalXmlString()

  Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#externalizeCanonicalXmlString() as of 1.0.1.

  Specified by:
    `externalizeCanonicalXmlString` in interface `org.eclipse.hyades.logging.core.IExternalizableToXml`
  Since:
    1.0
  See Also:
    `IExternalizableToXml.externalizeCanonicalXmlString()`

### externalizeCanonicalXmlDocString

    public java.lang.String externalizeCanonicalXmlDocString()

  Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#externalizeCanonicalXmlDocString() as of 1.0.1.

  Specified by:
    `externalizeCanonicalXmlDocString` in interface `org.eclipse.hyades.logging.core.IExternalizableToXml`
  Since:
    1.0
  See Also:
    `IExternalizableToXml.externalizeCanonicalXmlDocString()`

### internalizeCanonicalXmlString

    public void internalizeCanonicalXmlString(java.lang.String value)

  Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#internalizeCanonicalXmlString(String) as of 1.0.1.

  Specified by:
    `internalizeCanonicalXmlString` in interface `org.eclipse.hyades.logging.core.IInternalizableFromXml`
  Since:
    1.0
  See Also:
    `IInternalizableFromXml.internalizeCanonicalXmlString(java.lang.String)`

### internalizeCanonicalXmlDocString

    public void internalizeCanonicalXmlDocString(java.lang.String value)

  Deprecated. Use org.eclipse.hyades.logging.events.CommonBaseEventImpl#internalizeCanonicalXmlDocString(String) as of 1.0.1.

  Specified by:
    `internalizeCanonicalXmlDocString` in interface `org.eclipse.hyades.logging.core.IInternalizableFromXml`
  Since:
    1.0
  See Also:
    `IInternalizableFromXml.internalizeCanonicalXmlDocString(java.lang.String)`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different objects are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state. Initialize a AssociationEngine so that it has a new guid and all components are initialized to either zero or null

  Specified by:
    `init` in interface `IAssociationEngine`
  Since:
    1.0.1
  See Also:
    `IAssociationEngine.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD